#include ".\Debris.h"
#include ".\AsciiApp.h"



CDebris::CDebris( int iX, int iY, int iDX, int iDY, int iColor, int iBGColor ) :
  m_iColor( iColor ),
  m_iDX( iDX ),
  m_iDY( iDY ),
  m_iBGColor( iBGColor )
{
  m_iX = iX;
  m_iY = iY;
  m_Type = GO_DEBRIS;
  m_iLifeTime = 8;
}

CDebris::~CDebris(void)
{
}



void CDebris::Display( AsciiApp& App, int iXOffset, int iYOffset )
{

  App.PutChar( m_iX - iXOffset, m_iY - iYOffset, 0xb0, m_iColor, m_iBGColor );

}



void CDebris::Update( AsciiApp& App )
{

  if ( m_iLifeTime )
  {
    m_iX += m_iDX;
    m_iY += m_iDY;
    m_iLifeTime--;
  }
  else
  {
    m_bRemoveMe = true;
  }

}



int CDebris::Size()
{

  return 1;

}