#pragma once

class AsciiApp;

class CGameObject
{

  public:

    enum eType
    {
      GO_INVALID = 0,
      GO_PLAYER,
      GO_ORE,
      GO_ASTEROID,
      GO_STATION,
      GO_MOTHERSHIP,
      GO_DEBRIS,
      GO_SHOT,
    };

    enum eDir
    {
      DIR_N,
      DIR_E,
      DIR_S,
      DIR_W,
    };


    eDir              m_Dir;

    eType             m_Type;

    int               m_iX;
    int               m_iY;

    bool              m_bRemoveMe;


    CGameObject();
    virtual ~CGameObject();


    virtual void      Display( AsciiApp& App, int iXOffset, int iYOffset );
    virtual void      Update( AsciiApp& App );

    virtual int       Size();

};
