#include ".\Asteroid.h"
#include ".\AsciiApp.h"



CAsteroid::CAsteroid( int iX, int iY, int iColor, int iBGColor ) :
  m_iColor( iColor ),
  m_iBGColor( iBGColor ),
  m_iOreType( 0 ),
  m_iType( 0 )
{
  m_iX = iX;
  m_iY = iY;
  m_Type = GO_ASTEROID;

  m_iHP = 3 + rand() % 5;
}

CAsteroid::~CAsteroid(void)
{
}



void CAsteroid::Display( AsciiApp& App, int iXOffset, int iYOffset )
{

  App.PutChar( m_iX - iXOffset, m_iY - iYOffset - 1, 0xb2, m_iColor, m_iBGColor );
  App.PutChar( m_iX - iXOffset - 1, m_iY - iYOffset, 0xb2, m_iColor, m_iBGColor );
  App.PutChar( m_iX - iXOffset, m_iY - iYOffset, 0xb1, m_iColor, m_iBGColor );
  App.PutChar( m_iX - iXOffset + 1, m_iY - iYOffset, 0xb2, m_iColor, m_iBGColor );
  App.PutChar( m_iX - iXOffset, m_iY - iYOffset + 1, 0xb2, m_iColor, m_iBGColor );

}



void CAsteroid::Update( AsciiApp& App )
{

}



int CAsteroid::Size()
{

  return 3;

}