#include ".\BackgroundStar.h"
#include ".\AsciiApp.h"



CBackgroundStar::CBackgroundStar( int iX, int iY, const char cChar, int iColor ) :
  m_cChar( cChar ),
  m_iColor( iColor )
{
  m_iX = iX;
  m_iY = iY;
}

CBackgroundStar::~CBackgroundStar(void)
{
}



void CBackgroundStar::Display( AsciiApp& App, int iXOffset, int iYOffset )
{

  App.PutChar( ( m_iX - iXOffset + 100000 ) % 80, ( m_iY - iYOffset + 100000 ) % 25, m_cChar, m_iColor );

}



void CBackgroundStar::Update( AsciiApp& App )
{

  if ( ( rand() % 10 ) >= 7 )
  {
    m_iColor = AsciiApp::COL_GREY;
  }
  else
  {
    m_iColor = AsciiApp::COL_LIGHT_GREY;
  }

}
